Bug 489310 - [Intel 5.4 FEAT] TSC keeps running in C3+
[Intel 5.4 FEAT] TSC keeps running in C3+
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
: ZStream
Depends On: 474091
Blocks: 493356
  Show dependency treegraph
 
Reported: 2009-03-09 08:56 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:16 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 493356 (view as bug list)
Environment:
Last Closed: 2009-04-01 04:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0326 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-04-01 04:28:02 EDT

  None (edit)
Description RHEL Product and Program Management 2009-03-09 08:56:33 EDT
This bug has been copied from bug #474091 and has been proposed
to be backported to 5.3 z-stream (EUS).
Comment 3 Jiri Pirko 2009-03-17 04:39:00 EDT
in kernel-2.6.18-128.1.4.el5
Comment 5 Jiri Pirko 2009-03-24 11:53:19 EDT
incremental patch (474091 comment #40)

in kernel-2.6.18-128.1.6.el5
Comment 6 Luming Yu 2009-03-30 03:42:49 EDT
RH QA captured the problem when testing the NONSTOP_TSC feature with 32-bit kernel. She found the clock source under sys fs is still HPET on hp-xw8800-01.rhts.bos.redhat.com.

Part of code got neglected from my original back port, because it doesn't appear in the corresponding Upstream commit.

And upstream still use this:
   if (boot_cpu_has(X86_FEATURE_CONSTANT_TSC))
       return 0;
Comment 7 Luming Yu 2009-03-30 03:45:13 EDT
The following incremental patch should be include to enable TSC as clock source by default in 32-bit kernel  on Intel NHM and newer processors.

https://bugzilla.redhat.com/show_bug.cgi?id=474091#c44
Comment 11 errata-xmlrpc 2009-04-01 04:31:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0326.html
Comment 12 Issue Tracker 2009-04-02 15:13:34 EDT
Thanks everyone for all your work on this!

As discussed in today's meeting, fix delivered.

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Interim resolution set to 'Hotfix'
Resolution set to: 'Completed'
Summary edited.

This event sent from IssueTracker by jleddy 
 issue 271902

Note You need to log in before you can comment on or make changes to this bug.